| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Lib.CommandUseReference Class Reference

A reference of command usage, contains ID of the interpreter where a command is registered, and command name under which command is registered on that interpreter. Objects of this class are immutable. More...

Inheritance diagram for IG.Lib.CommandUseReference:
[legend]
Collaboration diagram for IG.Lib.CommandUseReference:
[legend]

## Public Member Functions
| CommandUseReference (int interpreterId, string commandName)
| Creates a new command reference. More...

## Properties
int | InterpreterId`[get]`
| Gets ID of the interpreter where the command is registered. More...
string | CommandName`[get]`
| Gets the command name under which command is registered in a specific interpreter. More...

## Private Member Functions
| CommandUseReference ()
int IComparable < CommandUseReference >. | CompareTo (CommandUseReference other)

## Private Attributes
int | _interpreterId
string | _commandName

## Detailed Description

A reference of command usage, contains ID of the interpreter where a command is registered, and command name under which command is registered on that interpreter. Objects of this class are immutable.

## Constructor & Destructor Documentation

IG.Lib.CommandUseReference.CommandUseReference | ( |  | ) |
| inline private

IG.Lib.CommandUseReference.CommandUseReference | ( | int | interpreterId,
|  | string | commandName
| ) |  |
| inline

Creates a new command reference.

Parameters

  interpreterId |
  commandName |

## Member Function Documentation

int IComparable<CommandUseReference>. IG.Lib.CommandUseReference.CompareTo | ( | CommandUseReference | other | ) |
| inline private

References IG.Lib.CommandUseReference.CommandName, and IG.Lib.CommandUseReference.InterpreterId.

## Member Data Documentation

int IG.Lib.CommandUseReference._interpreterId
| private

string IG.Lib.CommandUseReference._commandName
| private

## Property Documentation

int IG.Lib.CommandUseReference.InterpreterId
| get

Gets ID of the interpreter where the command is registered.

Referenced by IG.Lib.CommandUseReference.CompareTo().

string IG.Lib.CommandUseReference.CommandName
| get

Gets the command name under which command is registered in a specific interpreter.

Referenced by IG.Lib.CommandUseReference.CompareTo().

The documentation for this class was generated from the following file:

- igbase/interpreters/Interpreter.cs